Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.build.fs
Class FSParser

    java.lang.Object
      org.basex.core.Progress
          org.basex.build.Parser
              org.basex.build.fs.FSParser

    public final class FSParser

extends Parser

Imports/shreds/parses a file hierarchy into a database. The overall process of importing a file hierarchy can be described as follows:

1. The import is invoked by the `CreateFS` command. To import on the command line type: `$ create fs [path] [dbname]`
2. This class `FSParser` instantiates the needed components for the import process in its `parse(Builder)` method.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Alexander Holupirek, alex@holupirek.de

Field Summary
`java.lang.String` | `backingpath` Path to root of the backing store for this import.
`java.lang.String` | `mountpoint` Path to FUSE mountpoint.
`static int` | `SIZEOFFSET` Offset of the size value, as stored in `atts(File, boolean)`.

Fields inherited from class org.basex.build.Parser
`doc, io, prop`

Constructor Summary
`FSParser(java.lang.String path, Prop pr)` Constructor to parse single file nodes.
`FSParser(java.lang.String path, java.lang.String mp, java.lang.String bs, Prop pr)` Constructor.

Method Summary
`java.lang.String` | `det()` Returns short information on this process.
`void` | `parse(Builder build)` Main entry point for the import of a file hierarchy.
`double` | `prog()` Returns progress information.
`java.lang.String` | `tit()` Returns short information on this process.

Methods inherited from class org.basex.build.Parser
`emptyParser, xmlParser`

Methods inherited from class org.basex.core.Progress
`checkStop, detail, progress, progress, stop, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIZEOFFSET

    public static final int SIZEOFFSET

  Offset of the size value, as stored in `atts(File, boolean)`.

  See Also:
    Constant Field Values

### mountpoint

    public final java.lang.String mountpoint

  Path to FUSE mountpoint.

### backingpath

    public final java.lang.String backingpath

  Path to root of the backing store for this import.

Constructor Detail

### FSParser

    public FSParser(java.lang.String path,
                    java.lang.String mp,
                    java.lang.String bs,
                    Prop pr)

  Constructor.

  Parameters:
    `path` - the traversal starts from
    `mp` - mount point for fuse
    `bs` - path to root of backing store for BLOBs
    `pr` - database properties on Windows systems. If set to true, the path reference is ignored

### FSParser

    public FSParser(java.lang.String path,
                    Prop pr)

  Constructor to parse single file nodes.

  Parameters:
    `path` - String to file node to parse
    `pr` - database properties

Method Detail

### parse

    public void parse(Builder build)
               throws java.io.IOException

  Main entry point for the import of a file hierarchy. Instantiates the engine and starts the traversal.

  Specified by:
    `parse` in class `Parser`
  Parameters:
    `build` - instance passed by `CreateFS`.
  Throws:
    `java.io.IOException` - I/O exception

### tit

    public java.lang.String tit()

  Description copied from class: `Progress`
  Returns short information on this process. Can be overwritten to give more detailed information.

  Overrides:
    `tit` in class `Progress`
  Returns:
    header information

### det

    public java.lang.String det()

  Description copied from class: `Progress`
  Returns short information on this process.

  Overrides:
    `det` in class `Progress`
  Returns:
    header information

### prog

    public double prog()

  Description copied from class: `Progress`
  Returns progress information. Can be overwritten to give more detailed information.

  Overrides:
    `prog` in class `Progress`
  Returns:
    header information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD